Subject: [sipcore] rfc3428 section 10: request-uri does not reflect binding

From: Brett Tate <[email-masked]>
Date: Tue, 11 May 2010 07:29:05 -0700

Howdy,

Within RFC3428 section 10 example, the proxy "finds a binding from sip:[email-masked] to sip:[email-masked]"; however it indicates sip:[email-masked] instead of sip:[email-masked] within proxied MESSAGE's request-uri.

I assume that this a bug within the example (similar to tag and extraneous ';' issues); however I thought that I'd ask before opening errata... is such proxy behavior intentional?  If intentional, what is the corresponding normative text within RFC3428?

Thanks,
Brett

---

From: Hadriel Kaplan <[email-masked]>
Date: Tue, 11 May 2010 16:35:45 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Brett Tate
> Sent: Tuesday, May 11, 2010 10:29 AM
> 
> Within RFC3428 section 10 example, the proxy "finds a binding from
> sip:[email-masked] to sip:[email-masked]"; however it
> indicates sip:[email-masked] instead of sip:[email-masked]
> within proxied MESSAGE's request-uri.
> 
> I assume that this a bug within the example (similar to tag and extraneous
> ';' issues); however I thought that I'd ask before opening errata... is
> such proxy behavior intentional?  If intentional, what is the
> corresponding normative text within RFC3428?

It's pretty clearly a bug. :)

The text in section 6 says:
   Proxies route MESSAGE requests according to the rules of SIP [1].

And the example says:
   User1 forwards this message to the server for domain.com.  The proxy
   receives this request, and recognizes that it is the server for
   domain.com.  It looks up user2 in its database (built up through
   registrations), and finds a binding from sip:[email-masked] to
   sip:[email-masked].  It forwards the request to user2.

So F2 should have been:
   MESSAGE sip:[email-masked] SIP/2.0
   Via: SIP/2.0/TCP proxy.domain.com;branch=z9hG4bK123dsghds
   Via: SIP/2.0/TCP user1pc.domain.com;branch=z9hG4bK776sgdkse;
                                              received=1.2.3.4
   Max-Forwards: 69
   From: sip:[email-masked];tag=49394
   To: sip:[email-masked]
   Call-ID: [email-masked]
   CSeq: 1 MESSAGE
   Content-Type: text/plain
   Content-Length: ...
   ...

-hadriel